> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.beehiiv.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.beehiiv.com/_mcp/server.

# Get subscription by email <Badge intent="info" minimal outlined>OAuth Scope: subscriptions:read</Badge>

GET https://api.beehiiv.com/v2/publications/{publicationId}/subscriptions/by_email/{email}

Please note that this endpoint requires the email to be URL encoded. Please reference your language's documentation for the correct method of encoding. Retrieve a single subscription belonging to a specific email address in a specific publication.

Reference: https://developers.beehiiv.com/api-reference/subscriptions/get-by-email

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `publicationId` (string, required) — The prefixed ID of the publication object
- `email` (string, required) — The ID of the subscriber object

### Query parameters

- `expand[]` (enum, optional) — Optional list of expandable objects.`subscription_premium_tiers ` - Returns an array of tiers the subscription is associated with.`referrals` - Returns an array of subscriptions with limited data - `id`, `email`, and `status`. These are the subscriptions that were referred by this subscription.`stats` - Returns statistics about the subscription(s).`custom_fields` - Returns an array of custom field values that have been set on the subscription. `tags` - Returns an array of tags that have been set on the subscription.`newsletter_lists` - Returns an array of newsletter list prefixed IDs the subscription is actively subscribed to.
  - Allowed values: `stats`, `custom_fields`, `referrals`, `tags`, `newsletter_lists`

## Response

### 200

OK

- `data` (Subscription, required) — The subscription object
- `warnings` (list of ErrorDetail, optional) — Present when custom field data in the request could not be applied (an unknown or missing field name). The subscription is still created or updated; any unresolvable custom field values are dropped rather than the whole request failing.

## Errors

### 400 Bad Request Error

Bad Request

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 401 Unauthorized Error

Unauthorized. The API key or OAuth access token is missing, invalid, or expired.

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 404 Not Found Error

Resource Not Found

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 429 Too Many Requests Error

Rate Limit Exceeded

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 500 Internal Server Error

Internal Server Error

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

## Types

### Subscription

The subscription object

- `id` (string, required) — The prefixed subscription id
- `email` (string, required)
- `status` (enum, required) — The status of the subscription.`validating` - The email address is being validated.`invalid` - The email address is invalid.`pending` - The email address is valid, but the subscription is pending double opt-in.`active` - The email was valid and the subscription is active.`inactive` - The subscription was made inactive, possibly due to an unsubscribe.`needs_attention` - The subscription requires approval or denial.`paused` - The subscriber has paused their subscription.`unidentified` - The person is a contact with no newsletter subscription.
  - Allowed values: `validating`, `invalid`, `pending`, `active`, `inactive`, `needs_attention`, `paused`, `unidentified`
- `created` (integer, required) — The date the subscription was created. Measured in seconds since the Unix epoch
- `subscription_tier` (enum, required) — The current tier of the subscription.
  - Allowed values: `free`, `premium`
- `subscription_premium_tier_names` (list of string, required) — The current premium tiers of the subscription. Empty if the subscriber is not associated with any premium tiers.
- `utm_source` (string, required) — The acquisition source; where the subscriber came from
- `utm_medium` (string, required) — The acquisition medium; how the subscriber got to your publication
- `utm_channel` (enum, required) — The acquisition channel
  - Allowed values: ``, `website`, `import`, `embed`, `api`, `referral`, `recommendation`, `magic_link`, `boost`, `boost_send`, `boost_direct_link`, `integration`, `product`, `group_invite`
- `utm_campaign` (string, required) — The acquisition campaign
- `utm_term` (string, required) — The acquisition term; typically the keyword or search term
- `utm_content` (string, required) — The acquisition content; typically used for A/B testing or ad variations
- `referring_site` (string, required) — The website that the subscriber was referred from
- `referral_code` (string, required) — The code associated to this subscriber to refer others. When a new subscription is created with this referral code, credit for the referral goes to this subscription.
- `subscription_premium_tiers` (list of SubscriptionTierInfo, optional) — Optional list of tiers for a subscription. Retrievable by including `expand: [subscription_premium_tiers]` in the request body.
- `custom_fields` (list of CustomField, optional) — Optional list of custom fields for a subscription. Retrievable by including `expand: [custom_field]` in the request body.
- `tags` (list of string, optional) — Optional list of tags for a subscription. Retrievable by including `expand: [tags]` in the request body. Max limit of 100 unique tags per publication.
- `stats` (SubscriptionStats, optional) — Optional list of stats for a subscription. Retrievable by including `expand: [stats]` in the request body.
- `newsletter_list_ids` (list of string, optional) — The prefixed IDs of the newsletter lists this subscription is actively subscribed to. Requires `expand[]=newsletter_lists`.

### ErrorDetail

- `message` (string, required)
- `code` (string, required)

### SubscriptionTierInfo

- `id` (string, required) — The prefixed ID of the tier.
- `name` (string, required)
- `status` (enum, required) — Returns whether or not the tier has any active prices.
  - Allowed values: `active`, `archived`

### CustomField

- `name` (string, optional) — The name of the existing custom field
- `kind` (enum, optional) — The type of value being stored in the custom field.
  - Allowed values: `string`, `integer`, `boolean`, `date`, `datetime`, `list`, `double`
- `value` (CustomFieldDataType, optional) — The value stored for the subscription

### SubscriptionStats

Optional list of stats for a subscription. Retrievable by including `expand: [stats]` in the request body.

- `emails_received` (integer, optional) — The total number of emails that have been sent to this subscriber
- `open_rate` (double, optional) — The percentage of emails that the subscriber has opened
- `click_through_rate` (double, optional) — The percentage of emails that the subscriber has clicked a link in

### CustomFieldDataType

- string
- double
- boolean
- list of string

## Examples

**Response**

```json
{
  "data": {
    "id": "sub_00000000-0000-0000-0000-000000000000",
    "email": "example@example.com",
    "status": "validating",
    "created": 1666800076,
    "subscription_tier": "free",
    "subscription_premium_tier_names": [
      "Premium",
      "Gold"
    ],
    "utm_source": "Twitter",
    "utm_medium": "organic",
    "utm_channel": "website",
    "utm_campaign": "utm_campaign",
    "utm_term": "",
    "utm_content": "",
    "referring_site": "https://www.blog.com",
    "referral_code": "referral_code",
    "subscription_premium_tiers": [
      {
        "id": "tier_00000000-0000-0000-0000-000000000000",
        "name": "name",
        "status": "active"
      }
    ],
    "custom_fields": [
      {}
    ],
    "tags": [
      "Premium",
      "Basic",
      "Active",
      "Engaged"
    ],
    "stats": {
      "emails_received": 25,
      "open_rate": 60.1,
      "click_through_rate": 25
    }
  }
}
```

**SDK Code**

```typescript
import { BeehiivClient } from "beehiiv";

const client = new BeehiivClient({ token: "YOUR_TOKEN" });
await client.subscriptions.get("pub_00000000-0000-0000-0000-000000000000", "work@example.com");

```

```python
import requests

url = "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/subscriptions/by_email/work%40example.com"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/subscriptions/by_email/work%40example.com"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/subscriptions/by_email/work%40example.com")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/subscriptions/by_email/work%40example.com")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/subscriptions/by_email/work%40example.com', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/subscriptions/by_email/work%40example.com");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/subscriptions/by_email/work%40example.com")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```